use crate::http_client::HttpClient;
use crate::data_toml;
use crate::url;
use iso8601_timestamp::Timestamp;
use serde_json::json;

pub async fn post_request(verify: String, id: i32, cp: i32, rank: i32, rare: String, col: String, author: String) -> String {
    let did = data_toml(&"did");
    let handle = data_toml(&"handle");
    let url = url(&"record_create");
    let d = Timestamp::now_utc();
    let d = d.to_string();

    let post = json!({
        "repo": handle.to_string(),
        "did": did.to_string(),
        "collection": col.to_string(),
        "record": {
            "id": id,
            "cp": cp,
            "rank": rank,
            "rare": rare.to_string(),
            "author": author.to_string(),
            "verify": verify.to_string(),
            "createdAt": d.to_string(),
        },
    });

    let client = HttpClient::new();
    
    match client.post_json_with_auth(&url, &post).await {
        Ok(response) => response,
        Err(e) => format!("Error: {}", e),
    }
}
